package com.goafanti.personnel.bo;

import java.math.BigDecimal;
import java.util.List;

import com.goafanti.common.model.PersonnelContact;
import com.goafanti.common.model.PersonnelEntry;

public class OutPersonnelBo extends OutPersonnelListBo {
	private Integer star; 
	private Integer jobs;
	private String nation;
	private BigDecimal allowance;
	
	private String welfareAnnexUrl;
	
	private String welfareAnnexName;
	private String  welfareRemarks;
	
	private List<PersonnelContact> contactList;
	
	private PersonnelEntry personnelEntry;
	
	private List<PersonnelPromotionBo> promotionList;
	
	
	private List<PersonnelContractBo> contractList;
	
	private List<PersonnelChooseBo> chooseList;
	
	private List<PersonnelQuitBo> quitList;
	
	private List<PersonnelWelfareBo> welfareList;
	
	public String getNation() {
		return nation;
	}
	public void setNation(String nation) {
		this.nation = nation;
	}
	public BigDecimal getAllowance() {
		return allowance;
	}
	public void setAllowance(BigDecimal allowance) {
		this.allowance = allowance;
	}
	public List<PersonnelContact> getContactList() {
		return contactList;
	}
	public void setContactList(List<PersonnelContact> contactList) {
		this.contactList = contactList;
	}
	public PersonnelEntry getPersonnelEntry() {
		return personnelEntry;
	}
	public void setPersonnelEntry(PersonnelEntry personnelEntry) {
		this.personnelEntry = personnelEntry;
	}
	public List<PersonnelPromotionBo> getPromotionList() {
		return promotionList;
	}
	public void setPromotionList(List<PersonnelPromotionBo> promotionList) {
		this.promotionList = promotionList;
	}
	public List<PersonnelContractBo> getContractList() {
		return contractList;
	}
	public void setContractList(List<PersonnelContractBo> contractList) {
		this.contractList = contractList;
	}
	public List<PersonnelChooseBo> getChooseList() {
		return chooseList;
	}
	public void setChooseList(List<PersonnelChooseBo> chooseList) {
		this.chooseList = chooseList;
	}
	public List<PersonnelQuitBo> getQuitList() {
		return quitList;
	}
	public void setQuitList(List<PersonnelQuitBo> quitList) {
		this.quitList = quitList;
	}
	public List<PersonnelWelfareBo> getWelfareList() {
		return welfareList;
	}
	public void setWelfareList(List<PersonnelWelfareBo> welfareList) {
		this.welfareList = welfareList;
	}
	public Integer getStar() {
		return star;
	}
	public void setStar(Integer star) {
		this.star = star;
	}
	public Integer getJobs() {
		return jobs;
	}
	public void setJobs(Integer jobs) {
		this.jobs = jobs;
	}
	public String getWelfareAnnexUrl() {
		return welfareAnnexUrl;
	}
	public void setWelfareAnnexUrl(String welfareAnnexUrl) {
		this.welfareAnnexUrl = welfareAnnexUrl;
	}
	public String getWelfareAnnexName() {
		return welfareAnnexName;
	}
	public void setWelfareAnnexName(String welfareAnnexName) {
		this.welfareAnnexName = welfareAnnexName;
	}
	public String getWelfareRemarks() {
		return welfareRemarks;
	}
	public void setWelfareRemarks(String welfareRemarks) {
		this.welfareRemarks = welfareRemarks;
	}
	
	
	
}
